Skip to content

GET Selectees.

GET
/api/config/namespaces/{namespace}/virtual_sites/{name}/selectees
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/virtual_sites/example/selectees \
--header 'Authorization: <Authorization>'

GET the list of objects selected by this Virtual Site based on its selector label expression.

Examples of this operation.

namespace
required
string

Namespace Namespace of the Virtual Site whose Site selections are to be found.

name
required
string

Name Name of the Virtual Site whose Site selections are to be found.

A successful response.

Media typeapplication/json
Selectee Response

Response indicating the objects selected by a Virtual Site based on its selector label expression.

object
error
object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
items
Items

List of selected objects.

Array<object>
Selectee Item

An individual object that has been selected by the Virtual Site.

object
kind
Kind

Kind of the selected object belongs to.

string
>= 12 characters <= 1024 characters
name
Name

Name of the selected object.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace the selected object belongs to.

string
>= 6 characters <= 1024 characters
tenant
Tenant

Tenant the selected object belongs to.

string
>= 6 characters <= 1024 characters
Example
{
"error": {
"code": "EOK"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example